*
{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}
#main 
{
    display: flex;
    flex: 1;
    min-height: 100vh;
    flex-direction: column;
}
#header
{
    background: linear-gradient(rgb(247, 240, 33),rgb(110, 225, 95), rgb(74, 217, 217));
    width: 100%;
    padding: 20px;
    text-align: center;
}
#columns-container
{
    display: flex;
    
}
#content1
{
    background-color: rgb(145, 188, 202);
    width:50%;
    padding: 10px;
    min-height: 300px;
}
#content2
{
    background-color: rgb(105, 158, 177);
    width:25%;
    padding: 10px;
    min-height: 300px;
}
#content3
{
    background-color: rgb(59, 122, 144);
    width: 25%;
    padding: 10px;
    min-height: 300px;

}
#footer 
{
    width:100%;
    min-height: 100px;
    padding: 10px;
    background-color: rgb(43, 56, 111);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: auto;
}
#nav ul
{
    display: flex;
    background-color: rgb(100, 100, 100);
    width: 100%;
    list-style-type: none;
    padding:10px
}
#nav li a
{
    text-decoration: none;
    color: white;
    padding: 10px;  
}
#nav li a:hover
{
    background-color: rgb(50, 50, 50);
}